package log

import (
	"testing"

	"git.links123.net/links123.com/pkg/log/hooks"
)

func TestNewDefaultLogger(t *testing.T) {
	err := NewDefaultLogger(&hooks.Project{Name: "n1", Domain: "d1"})
	if err != nil {
		panic(err)
	}

	Debug("debug message")

	//hook, err := hooks.NewNotificationHook(&hooks.Project{Name: "xxx", Domain: "domain"}, hooks.DefaultMaintainers(), hooks.DefaultNotificationService())
	//if err != nil {
	//	panic(err)
	//}
	//logger := logrus.New()
	//logger.AddHook(hook)
	//
	//logger.Debug("debug info")
	//logger.Info("info info")
	//logger.Fatal("fatal info")
	//logger.Error("error info")
}
